<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/HandcuffsLocked.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dce/_handcuffs_locked_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HandcuffsLocked.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/dce/_handcuffs_locked_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>RestrainingToolLocked <span class="keyword">extends</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#ab11d5d438d3ff26a532fb88e212548c9">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#ab11d5d438d3ff26a532fb88e212548c9">~RestrainingToolLocked</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(GetHierarchyRootPlayer());</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <span class="keywordflow">if</span> ( player &amp;&amp; player.IsRestrained() )</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>            player.SetRestrained(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a530aacddc867231d8da109b952ac4794">   12</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a530aacddc867231d8da109b952ac4794">EEItemLocationChanged</a>(notnull <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> oldLoc, notnull <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> newLoc)</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        super.EEItemLocationChanged(oldLoc, newLoc);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <span class="keywordflow">if</span> ( oldLoc.IsValid() &amp;&amp; oldLoc.GetParent() )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> old_player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(oldLoc.GetParent().GetHierarchyRootPlayer());</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>                <span class="keywordflow">if</span> (old_player &amp;&amp; old_player.IsRestrained())</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>                    old_player.SetRestrained(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span> ( newLoc.IsValid() )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">if</span> (newLoc.GetParent())</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(newLoc.GetParent().GetHierarchyRootPlayer());</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <span class="keywordflow">if</span> ( player )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                    <span class="keywordflow">if</span> ( newLoc.GetType() == <a class="code hl_enumeration" href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a>.HANDS )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                        <span class="keywordflow">if</span> ( !player.IsRestrained() )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                            player.SetRestrained(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                            player.OnItemInHandsChanged();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                        }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                        <span class="keywordflow">if</span> (player.IsControlledPlayer())</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                            player.OnRestrainStart();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">if</span> ( newLoc.GetType() != <a class="code hl_enumeration" href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a>.HANDS )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <span class="keywordflow">if</span> (oldLoc.GetParent())</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                    <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> old_p = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(oldLoc.GetParent().GetHierarchyRootPlayer());</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                    <span class="keywordflow">if</span> (old_p)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                        MiscGameplayFunctions.TransformRestrainItem(<span class="keyword">this</span>, null, old_p, old_p);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                        <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <a class="code hl_function" href="../../dd/d93/_object_8c.html#ac2e5aab0612d67400354a4fe71278a21">Delete</a>();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        }   </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">   70</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">SetActions</a>()</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        super.SetActions();</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/d52/class_action_unrestrain_self.html">ActionUnrestrainSelf</a>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>}</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="keyword">class </span>HandcuffsLocked <span class="keyword">extends</span> RestrainingToolLocked</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>{</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>}</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="keyword">class </span>RopeLocked <span class="keyword">extends</span> RestrainingToolLocked</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>{</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>}</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="keyword">class </span>DuctTapeLocked <span class="keyword">extends</span> RestrainingToolLocked</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>{</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>}</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="keyword">class </span>MetalWireLocked <span class="keyword">extends</span> RestrainingToolLocked</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>{</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>}</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="keyword">class </span>BarbedWireLocked <span class="keyword">extends</span> RestrainingToolLocked</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>{</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_inventory_location_8c_html_ad09049fb2b99c763369bfe6228aa81b3"><div class="ttname"><a href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a></div><div class="ttdeci">InventoryLocationType</div><div class="ttdoc">types of Inventory Location</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00003">InventoryLocation.c:4</a></div></div>
<div class="ttc" id="a_object_8c_html_ac2e5aab0612d67400354a4fe71278a21"><div class="ttname"><a href="../../dd/d93/_object_8c.html#ac2e5aab0612d67400354a4fe71278a21">Delete</a></div><div class="ttdeci">void Delete()</div><div class="ttdoc">Delete this object in next frame.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00026">Object.c:26</a></div></div>
<div class="ttc" id="aclass_action_unrestrain_self_html"><div class="ttname"><a href="../../d4/d52/class_action_unrestrain_self.html">ActionUnrestrainSelf</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dbd/_action_unrestrain_self_8c_source.html#l00048">ActionUnrestrainSelf.c:49</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_item_base_html_a45bcceec0acd0ccdc9d6afd42d4e839a"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">ItemBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dce/_handcuffs_locked_8c_source.html#l00070">HandcuffsLocked.c:70</a></div></div>
<div class="ttc" id="aclass_item_base_html_a530aacddc867231d8da109b952ac4794"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a530aacddc867231d8da109b952ac4794">ItemBase::EEItemLocationChanged</a></div><div class="ttdeci">override void EEItemLocationChanged(notnull InventoryLocation oldLoc, notnull InventoryLocation newLoc)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dce/_handcuffs_locked_8c_source.html#l00012">HandcuffsLocked.c:12</a></div></div>
<div class="ttc" id="aclass_item_base_html_ab11d5d438d3ff26a532fb88e212548c9"><div class="ttname"><a href="../../de/d7a/class_item_base.html#ab11d5d438d3ff26a532fb88e212548c9">ItemBase::~RestrainingToolLocked</a></div><div class="ttdeci">void ~RestrainingToolLocked()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dce/_handcuffs_locked_8c_source.html#l00003">HandcuffsLocked.c:3</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../da/dce/_handcuffs_locked_8c.html">HandcuffsLocked.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
